﻿// izpisovanje v več nitkah
// če želimo po izvajanju niti še kaj narediti, moramo niti pridružiti nazaj v glavno nit (pthread_join)
#define HAVE_STRUCT_TIMESPEC

#include <stdio.h>
#include <pthread.h>

#define N 100

pthread_t t1, t2;

void *print(void *arg)
{
	int i;
	char* str;
	pthread_t tx = pthread_self();

	if( pthread_equal(tx, t1) )
		str = "Hello ";
	else
		if ( pthread_equal(tx, t2) )
			str = "world ";
		else
			str = "???";

	for(i=0; i<N; i++)
		printf("%s ", str);

	return NULL;
}

int main(void)
{
	int i;

	pthread_create(&t1, NULL, print, NULL);
	pthread_create(&t2, NULL, print, NULL);

	for(i=0; i<N; i++)
		printf("%s ", "! ");

	pthread_join(t1, NULL);
	pthread_join(t2, NULL);

	return 0;
}
